summarylogtreecommitdiffstats
path: root/unfsd
diff options
context:
space:
mode:
authorOliver Giles2015-07-23 21:12:50 +0200
committerOliver Giles2015-07-23 21:12:50 +0200
commitf39736f33911d4be0943f4394c9bcbaf37dc9283 (patch)
treec3754bfeb7aa4397a1d033baf3eb8bd83cad0483 /unfsd
downloadaur-f39736f33911d4be0943f4394c9bcbaf37dc9283.tar.gz
initial commit
Diffstat (limited to 'unfsd')
-rw-r--r--unfsd44
1 files changed, 44 insertions, 0 deletions
diff --git a/unfsd b/unfsd
new file mode 100644
index 000000000000..50dc93977eb4
--- /dev/null
+++ b/unfsd
@@ -0,0 +1,44 @@
+#!/bin/bash
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+DAEMON=unfsd
+NAME=unfsd
+ARGS=
+
+[ -r /etc/conf.d/$NAME.conf ] && . /etc/conf.d/$NAME.conf
+
+PID=$(get_pid $DAEMON)
+
+case "$1" in
+ start)
+ ck_daemon rpcbind && { echo -n "Start rpcbind first." >&2; stat_die; }
+ stat_busy "Starting $NAME"
+ [ -z "$PID" ] && /usr/sbin/$DAEMON $ARGS
+ if [ $? = 0 ]; then
+ add_daemon $NAME
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping $NAME"
+ [ -n "$PID" ] && kill $PID &>/dev/null
+ if [ $? = 0 ]; then
+ rm_daemon $NAME
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac